Class Fox::FXStatusline

In: | FXStatusline.rb
Parent: | FXFrame

The status line normally shows its permanent or "normal" message; when moving the mouse over a widget which provides status line help, the status line temporarily replaces its normal message with the help information; the status line obtains this help message by sending the widget a `ID_QUERY_HELP` message with type `SEL_UPDATE`. If this query does not result in a new status string, the target of the status line is tried via an ordinary `SEL_UPDATE` message. If none of the above work, the status line will display the normal text (i.e. the string set via the normalText= accessor method). If the message contains a newline character, then the part before the newline will be displayed in the highlight color, while the part after the newline will be shown using the normal text color.

### Events

The following messages are sent by FXStatusline to its target:

`SEL_UPDATE`: | Sent when the widget currently under the mouse cursor doesn’t respond to a `SEL_UPDATE` message with identifier `ID_QUERY_HELP`, as described above.

Methods

new to_s

Attributes

font | [RW] | Text font [FXFont]
normalText | [RW] | Permanent status message [String]
text | [RW] | Temporary status message [String]
textColor | [RW] | Text color [FXColor]
textHighlightColor | [RW] | Highlight text color [FXColor]

Public Class methods

new(p, tgt=nil, sel=0) {|theStatusline| ...}

Constructor

Public Instance methods

to_s()

Returns the temporary status message (i.e. same as text)